Update test invocation
Updates the user-provided name of a test invocation.
Path parameters
test_invocation_id
The id of a test invocation. This is returned when tests are run.
Headers
xi-api-key
Request
This endpoint expects an object.
name
New name for the test invocation. Set to null to restore the generated title.
Response
Successful Response
id
test_runs
name
The user-provided name of the test invocation, if one was set.
agent_id
branch_id
version_id
ran_against_draft
created_at
folder_id
repeat_count
cancelled
bucketing_status
None when repeat_count==1 (no bucketing). Otherwise tracks bucketing lifecycle.
Allowed values:
result_groups
Errors
422
Invocations Update Request Unprocessable Entity Error